Get a course evaluation question response
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"answered": true,
"not_applicable": true,
"data": "<string>"
},
"relationships": {
"evaluation_response": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_response",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"question": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Course Evaluation Question Responses
Get a course evaluation question response
GET
/
api
/
v1
/
course_evaluation_question_responses
/
{id}
Get a course evaluation question response
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_responses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_response",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"answered": true,
"not_applicable": true,
"data": "<string>"
},
"relationships": {
"evaluation_response": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_response",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"question": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Path Parameters
Query Parameters
Comma-separated list of relationships to include. Allowed: evaluation_response, question
Response
course evaluation question response found
Show child attributes
Show child attributes
⌘I